org.eclipse.modisco.java.discoverer

## Class DiscoverKDMModelFromJavaModel

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<IFile>
    - - org.eclipse.modisco.java.discoverer.DiscoverKDMModelFromJavaModel

All Implemented Interfaces:
  IDiscoverer<IFile>

    public class DiscoverKDMModelFromJavaModel
    extends AbstractModelDiscoverer<IFile>

Discover a KDM model from a Java model file.

### Field Summary

Fields
`static java.lang.String` `ID`

### Constructor Summary

Constructors
Constructor and Description
`DiscoverKDMModelFromJavaModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isApplicableTo(IFile file)` To determine if the source object can be handled by the discoverer.
`void` `setPathToTransformation(java.lang.String pathToTransformation)`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### Constructor Detail

#### DiscoverKDMModelFromJavaModel

    public DiscoverKDMModelFromJavaModel()

### Method Detail

#### setPathToTransformation

    @Parameter(name="PATH_TO_TRANSFORMATION",
               description="Indicates which .asm file to use for the ATL transformation (specified as a java URL)")
    public void setPathToTransformation(java.lang.String pathToTransformation)

#### isApplicableTo

    public boolean isApplicableTo(IFile file)

Description copied from interface: `IDiscoverer`
To determine if the source object can be handled by the discoverer. Each discoverer has to implement this method with its own criteria to filter the selected object.

Some usual implementations are proposed on `AbstractDiscoverer`.

Parameters:
  `file` - the selected object.
Returns:
  `true` if the selected object is managed by this discoverer, `false` otherwise.